# gdcm::Event Class Reference

superclass for callback/observer methods More...

`#include <gdcmEvent.h>`

Inheritance diagram for gdcm::Event:
[legend]

List of all members.

## Public Member Functions
| Event (const Event &)
| Event ()
virtual | ~Event ()
virtual bool | CheckEvent (const Event *) const =0
virtual const char * | GetEventName (void) const =0
virtual Event * | MakeObject () const =0
virtual void | Print (std::ostream &os) const

## Detailed Description

superclass for callback/observer methods

## Constructor & Destructor Documentation

gdcm::Event::Event | ( |  | ) |

gdcm::Event::Event | ( | const Event & |  | ) |

virtual gdcm::Event::~Event | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool gdcm::Event::CheckEvent | ( | const Event * |  | ) | const`[pure virtual]`

Check if given event matches or derives from this event.

virtual const char* gdcm::Event::GetEventName | ( | void |  | ) | const`[pure virtual]`

Return the StringName associated with the event.

Implemented in gdcm::AnonymizeEvent.

virtual Event* gdcm::Event::MakeObject | ( |  | ) | const`[pure virtual]`

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implemented in gdcm::AnonymizeEvent.

virtual void gdcm::Event::Print | ( | std::ostream & | os | ) | const`[virtual]`

Print Event information. This method can be overridden by specific Event subtypes. The default is to print out the type of the event.

Referenced by gdcm::operator<<().

The documentation for this class was generated from the following file:

- gdcmEvent.h